MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030588Open CASCADE[OCCT] OCCT:Codingpublic2019-03-16 18:572019-04-08 12:18
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030588: Coding - avoid calling operator->() on NULL Handle
DescriptionIt is desired to avoid calling operator->() on NULL handles.
In places, where NULL pointer is explicitly handled, it is suggested using method get() instead.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0029181assignedapn Jenkins Certification Tool - testing with enabled exceptions (undefined No_Exception) 

-  Notes
(0083028)
git (administrator)
2019-03-16 19:06

Branch CR30588 has been created by kgv.

SHA-1: e4ee4bdfb112103e2256cebb01689674e8aab417


Detailed log of new commits:

Author: kgv
Date: Sat Mar 16 18:55:36 2019 +0300

    0030588: Coding - avoid calling operator->() on NULL Handle
    
    Use .get() method instead of operator->() where result can be NULL.
    STEPCAFControl_Reader::ReadLayers() - fixed static function syntax.
    XCAFDoc_ColorTool - fix static method misuse.
(0083029)
kgv (developer)
2019-03-16 19:07

Please raise the patch.
(0083058)
apn (administrator)
2019-03-18 18:01

Combination -
OCCT branch : CR30588
master SHA - e4ee4bdfb112103e2256cebb01689674e8aab417
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : master SHA - b3958866f73826c2eaaa9470209980d22e210fba
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16612.150000000038 / 16593.449999999997 [+0.11%]
Products
Total CPU difference: 9126.000000000053 / 9102.210000000046 [+0.26%]
Windows-64-VC14:
OCCT
Total CPU difference: 18012.015625 / 17984.46875 [+0.15%]
Products
Total CPU difference: 10595.703125 / 10609.28125 [-0.13%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0083108)
git (administrator)
2019-03-19 13:02

Branch CR30588 has been updated by kgv.

SHA-1: b01e992a323faf8ebe325cc984efb30050bc4d56


Detailed log of new commits:

Author: kgv
Date: Tue Mar 19 12:55:37 2019 +0300

    # 0030588
    XCAFDoc_LayerTool::SetVisibility() - fixed static method misuse.

(0083120)
git (administrator)
2019-03-20 06:33

Branch CR30588_1 has been created by kgv.

SHA-1: e712edef42524f36a44f755d923fc55f8925138b


Detailed log of new commits:

Author: kgv
Date: Sat Mar 16 18:55:36 2019 +0300

    0030588: Coding - avoid calling operator->() on NULL Handle
    
    Use .get() method instead of operator->() where result can be NULL.
    STEPCAFControl_Reader::ReadLayers(), XCAFDoc_ColorTool,
    XCAFDoc_LayerTool::SetVisibility() - fixed static functions syntax.
(0083121)
kgv (developer)
2019-03-20 06:34

Please take updated patch to IR.
(0083495)
git (administrator)
2019-04-08 12:18

Branch CR30588_1 has been deleted by inv.

SHA-1: e712edef42524f36a44f755d923fc55f8925138b
(0083498)
git (administrator)
2019-04-08 12:18

Branch CR30588 has been deleted by inv.

SHA-1: b01e992a323faf8ebe325cc984efb30050bc4d56

- Related Changesets
occt: master ad67e367
Timestamp: 2019-03-16 15:55:36
Author: kgv
Committer: apn
Details ] Diff ]
0030588: Coding - avoid calling operator->() on NULL Handle

Use .get() method instead of operator->() where result can be NULL.
STEPCAFControl_Reader::ReadLayers(), XCAFDoc_ColorTool,
XCAFDoc_LayerTool::SetVisibility() - fixed static functions syntax.
mod - src/Expr/Expr_NamedExpression.cxx Diff ] File ]
mod - src/MAT/MAT_Arc.cxx Diff ] File ]
mod - src/MAT/MAT_BasicElt.cxx Diff ] File ]
mod - src/MAT/MAT_Node.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Group.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Reader.cxx Diff ] File ]
mod - src/Storage/Storage_Schema.cxx Diff ] File ]
mod - src/TopoDS/TopoDS_Shape.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ColorTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_LayerTool.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-03-16 18:57 kgv New Issue
2019-03-16 18:57 kgv Assigned To => kgv
2019-03-16 19:06 git Note Added: 0083028
2019-03-16 19:07 kgv Note Added: 0083029
2019-03-16 19:07 kgv Assigned To kgv => bugmaster
2019-03-16 19:07 kgv Status new => resolved
2019-03-16 19:07 kgv Status resolved => reviewed
2019-03-16 19:07 kgv Relationship added related to 0029181
2019-03-18 18:01 apn Test case number => Not needed
2019-03-18 18:01 apn Note Added: 0083058
2019-03-18 18:01 apn Status reviewed => tested
2019-03-19 13:02 git Note Added: 0083108
2019-03-20 06:33 git Note Added: 0083120
2019-03-20 06:34 kgv Note Added: 0083121
2019-03-24 18:54 apn Changeset attached => occt master ad67e367
2019-03-24 18:54 apn Assigned To bugmaster => apn
2019-03-24 18:54 apn Status tested => verified
2019-03-24 18:54 apn Resolution open => fixed
2019-04-08 12:18 git Note Added: 0083495
2019-04-08 12:18 git Note Added: 0083498


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker